/*****************************************************************************
*
*****************************************************************************/

#ifndef ADisplay_h
#define ADisplay_h


#include <iostream>
#include <string>
#include <exception>

#include <TGFrame.h>
#include <TThread.h>
#include <TRootEmbeddedCanvas.h>

class TGraph;
class TCanvas;
class TMultiGraph;

using namespace std;

class ADisplay: public TGMainFrame{

	Int_t	aNrGraphs; 
	Int_t	nPoints; 
	TGraph** mGraphs;
	TRootEmbeddedCanvas* fEcan;
	TMultiGraph* mMultiGraph;
	static void* ConsumerFunc(void*);
	TThread* aConsumer; 
	Int_t aCond;
	TGTextButton* update;
	TGTextButton* updateStop;

public:
		ADisplay(const TGWindow*, UInt_t, UInt_t );
virtual		~ADisplay();
virtual void	CloseWindow();
	void	UpdateGraph();
	void	UpdateStop();
	void	InitGraph();

ClassDef(ADisplay, 0)
};

#endif

